FROM tomcat
MAINTAINER Disassembler <disassembler@dasm.cz>

RUN \
 # Install full-featured wget to work around sourceforge bugs
 apk --no-cache add wget \
 # Download Mifos X
 && wget https://sourceforge.net/projects/mifos/files/latest/download -O /tmp/mifosx.zip \
 && mkdir /srv/tomcat/webapps/fineract-provider \
 && unzip /tmp/mifosx.zip -d /tmp \
 && unzip /tmp/fineractplatform-17.07.01.RELEASE/fineract-provider.war -d /srv/tomcat/webapps/fineract-provider \
 && mv /tmp/fineractplatform-17.07.01.RELEASE/apps/community-app /srv/tomcat/webapps/community-app \
 && mv /tmp/fineractplatform-17.07.01.RELEASE/database/mifospltaform-tenants-first-time-install.sql /tmp/mifospltaform-tenants-first-time-install.sql \
 # Download Java library dependencies
 && wget http://central.maven.org/maven2/org/drizzle/jdbc/drizzle-jdbc/1.3/drizzle-jdbc-1.3.jar -O /srv/tomcat/lib/drizzle-jdbc-1.3.jar \
 # Create OS user
 && addgroup -S -g 8012 mifosx \
 && adduser -S -u 8012 -h /srv/tomcat -s /bin/false -g mifosx -G mifosx mifosx \
 && chown -R mifosx:mifosx /srv/tomcat/conf /srv/tomcat/logs /srv/tomcat/temp /srv/tomcat/webapps /srv/tomcat/work \
 # Cleanup
 && apk --no-cache del wget \
 && rm -rf /tmp/fineractplatform-17.07.01.RELEASE /tmp/mifosx.zip

EXPOSE 8080

USER mifosx
WORKDIR /srv/tomcat
CMD ["catalina.sh", "run"]
